Create a new JobAsk AIpost https://api.servicem8.com/api_1.0/job.jsonOAuth Scope This endpoint requires the following OAuth scope create_jobs. Record UUID UUID is optional for record creation. If no UUID is supplied, a UUID will be automatically generated for the new record and returned in the x-record-uuid response header.Body ParamsJob record to createcreated_by_staff_uuiduuidUUID of the staff member who created this job. Records which staff member initially added the job to the system.datestringThe date the job was created or scheduled. Used for organizing jobs chronologically and for reference in reports.company_uuiduuidUUID reference to the client/company record associated with this job. Links the job to a client in the system, establishing the client-job relationship for billing and contact purposes.billing_addressstringlength ≤ 500The address where invoices and billing information should be sent. If not specified, defaults to the job address.statusstringenumrequiredlength ≤ 20Current status of the job. Controls where the Job appears in the Dispatch Board.. Valid values are [Quote,Work Order,Unsuccessful,Completed]QuoteWork OrderUnsuccessfulCompletedAllowed:QuoteWork OrderUnsuccessfulCompletedlngstringLongitude coordinate of the job location. Used for mapping and geolocation features. This is automatically populated based on the job address through geocoding.latstringLatitude coordinate of the job location. Used for mapping and geolocation features. This is automatically populated based on the job address through geocoding.payment_datestringNot used. Refer to JobPayment endpoint.payment_actioned_by_uuiduuidNot used. Refer to JobPayment endpoint.payment_methodstringNot used. Refer to JobPayment endpoint.payment_amountstringNot used. Refer to JobPayment endpoint.category_uuiduuidUUID reference to the job category this job belongs to. Categories help organize jobs by type of work or department.payment_notestringNot used. Refer to JobPayment endpoint.geo_is_validstringIndicates whether the geocoding for the job address was successful. When true, the latitude and longitude coordinates are considered accurate for mapping and location-based features.purchase_order_numberstringlength ≤ 100Client purchase order reference number for this job. Used for cross-referencing with external accounting or order management systems.invoice_sentintegerenumIndicates whether an invoice has been sent for this job.. Valid values are [0,1]01Allowed:01invoice_sent_stampstringTimestamp when the invoice was sent to the client. Format is YYYY-MM-DD HH:MM:SS.ready_to_invoicestringDEPRECATEDready_to_invoice_stampstringDEPRECATEDgeo_countrystringThe country component extracted from the geocoded job address. Automatically populated when an address is geocoded.geo_postcodestringThe postal/zip code component extracted from the geocoded job address. Automatically populated when an address is geocoded.geo_statestringThe state/province component extracted from the geocoded job address. Automatically populated when an address is geocoded.geo_citystringThe city/locality component extracted from the geocoded job address. Automatically populated when an address is geocoded.geo_streetstringThe street name component extracted from the geocoded job address. Automatically populated when an address is geocoded.geo_numberstringThe street number component extracted from the geocoded job address. Automatically populated when an address is geocoded.queue_uuiduuidThe UUID of the queue this job belongs to.queue_expiry_datestringThe date and time when the job expires from the queue.queue_assigned_staff_uuiduuidThe UUID of the staff member assigned to this job in the queue.badgesstringJSON Array of Badge UUIDsquote_datestringThe date and time that the job status was changed to Quote.quote_sentintegerenumBoolean flag indicating whether a quote has been sent to the client for this job.. Valid values are [0,1]01Allowed:01quote_sent_stampstringTimestamp when the quote was sent to the client. Format is YYYY-MM-DD HH:MM:SS.work_order_datestringThe date and time that the job status was changed to Work Order.active_network_request_uuidstringDEPRECATEDrelated_knowledge_articlesstringDEPRECATEDuuiduuidUnique identifier for this recordjob_addressstringlength ≤ 500Physical address where the job is to be performed. This address is used for geocoding to place the job on the map.job_descriptionstringwork_done_descriptionstringEmail Addresspayment_processedintegerenumIndicates whether the job has been exported to the connected Accounting Package.. Valid values are [0,1]01Allowed:01payment_receivedintegerenumIndicates whether full payment has been received for this job.. Valid values are [0,1]01Allowed:01completion_datestringThe date and time that the job status was changed to Completed.unsuccessful_datestringThe date and time that the job status was changed to Unsuccessful.Responses 200Success 400Bad Request - The request is malformed or contains invalid parameters 401Unauthorized - Authentication credentials are missing or invalid 403Forbidden - You don't have permission to create this resource 429Too Many Requests - You have exceeded the rate limit 500Internal Server Error - An unexpected error occurred on the serverUpdated 9 months ago